2005-10-31  Jeffrey Altman <jaltman@mit.edu>

	* gssapi32.def:  export missing functions
        	gss_krb5_set_allowable_enctypes
	        gss_krb5_export_lucid_sec_context
	        gss_krb5_free_lucid_sec_context

2005-04-22  Jeffrey Altman <jaltman@mit.edu>

        * win_glue.c:  Remove calls to WSAStartup/WSACleanup because
        they can result in deadlocks when called from DllMain().

2005-02-16  Jeffrey Altman <jaltman@mit.edu>

        * gssapi32.def: export the missing DATA symbols

2005-01-03  Jeffrey Altman <jaltman@mit.edu>

        * krb5_32.def: export krb5_is_thread_safe()

2004-12-18  Jeffrey Altman <jaltman@mit.edu>

        * krb5_32.def: mark krb5_principal2salt as using the wrong 
          calling convention.

2004-12-15  Jeffrey Altman <jaltman@mit.edu>

        *.cvsignore, Makefile.in: rename krb5support32.def to k5sprt32.def

2004-09-24  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (RCFLAGS): Add -I$(SRCTOP) to get patchlevel.h.

2004-06-18  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (SLIBS, SDEF, S_GLUE, COMERR_GLUE, PROF_GLUE,
	SGLUE): New variables.
	(NO_GLUE): Deleted.
	(CGLUE, PGLUE): Use new separate glue files instead of no_glue.
	(SRES) [WIN32]: New variable.
	($(SRES), $(SLIB)) [WIN32]: New targets.
	($(CLIB), $(PLIB), $(KLIB), $(GLIB)) [WIN32]: Depend on and link
	against $(SLIB) too.
	($(SDEF)): New target.  Generate Windows export list from common
	symbol list.
	($(COMERR_GLUE), $(PROF_GLUE), $(S_GLUE)): New targets.

	* win_glue.c (control): Reference add/remove_error_table only if
	building for krb4 library.  Add calls to library init/fini
	functions for other libraries.  For support library, also call a
	hook function on DLL_THREAD_DETACH.  If no recognized
	library-specific macro is defined, don't compile.
	(DllMain): Do call control() on DLL_THREAD_DETACH.

2004-06-16  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (MAC_SUBDIRS): Don't set.
	(all-mac, clean-mac): Targets deleted.

2004-06-15  Ken Raeburn  <raeburn@mit.edu>

	* exports.crypto, exports.des425, exports.kdb5, exports.krb5:
	Unused files deleted.

2004-03-31  Jeffrey Altman <jaltman@mit.edu>

    * Makefile.in: Delay Load the ADVAPI32.DLL and SECUR32.DLL libraries
      to enable the KRB5_32.DLL to load on Windows 9x systems which do
      not support the LSA Kerberos functionality.

2004-03-08  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (LOCAL_SUBDIRS): Renamed from MY_SUBDIRS.

2004-02-26  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (MY_SUBDIRS): Add apputils.
	(CLEANLIBS): Add libapputils.a.

2003-12-18  Jeffrey Altman <jaltman@mit.edu>

        * krb5_32.def: Remove exports added on 2003-12-13.  Moved
          to krb5int_accessor

2003-12-13  Jeffrey Altman <jaltman@mit.edu>
   
        * krb4_32.def: Remove exports from KfM not yet compiled in KfW
            krb_ad_tkt, krb_pw_tkt, kuserok, tkt_string, FSp_xxx
        
        * krb5_32.def: Add exports of private functions necessary for 
            building new gssapi32.dll:
              krb5int_c_mandatory_cksumtype   ; PRIVATE GSSAPI k5-int.h
              krb5_ser_pack_int64             ; PRIVATE GSSAPI k5-int.h
              krb5_ser_unpack_int64           ; PRIVATE GSSAPI k5-int.h

2003-12-11  Jeffrey Altman <jaltman@mit.edu>

        * Makefile.in: Add secur32.lib to libraries necessary to build 
          krb5_32.dll.  Necessary to support the new MSLSA ccache type.

2003-12-08  Jeffrey Altman <jaltman@mit.edu>

        * krb4_32.def: Add exports for functions exported by KfM

2003-07-21  Alexandra Ellwood  <lxs@mit.edu>

        * krb5_32.def: Export krb5_principal2salt.

2003-07-18  Jeffrey Altman <jaltman@mit.edu>

    * gssapi32.def: Export GSS OID constants

2003-07-09  Alexandra Ellwood  <lxs@mit.edu>

        * krb5_32.def: Export krb5_get_permitted_enctypes and 
        krb5_set_real_time for Samba.

2003-05-27  Ken Raeburn  <raeburn@mit.edu>

	* krb5_32.def: Add krb5_524_convert_creds.

2003-05-08  Sam Hartman  <hartmans@mit.edu>

	* krb5_32.def: Add krb5_c_string_to_key_with_params

2003-05-09  Tom Yu  <tlyu@mit.edu>

	* krb5_32.def: Add krb5_auth_con_getrecvsubkey,
	krb5_auth_con_getsendsubkey, krb5_auth_con_setrecvsubkey,
	krb5_auth_con_setsendsubkey.

2003-04-15  Sam Hartman  <hartmans@mit.edu>

	* krb5_32.def: Add krb5_set_password and krb5_set_password_using_ccache

2003-02-10  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (K4LIBS): Revert previous.

	* krb5_32.def: Add afs_string_to_key, which is now needed by the
	krb4 library.

	* Makefile.in (K4LIBS): Add des425.lib.

2003-01-17  Ken Raeburn  <raeburn@mit.edu>

	* krb5_32.def: Export krb5_rc_close, krb5_free_enc_tkt_part, and
	krb5_decrypt_tkt_part, for GSSAPI.

2003-01-12  Tom Yu  <tlyu@mit.edu>

	* krb5_32.def: Merge from 1-2-2-branch.

2003-01-06  Sam Hartman  <hartmans@mit.edu>

	* krb5_32.def: Export krb5_auth_con_*_checksum_func

2002-12-02  Tom Yu  <tlyu@mit.edu>

	* win_glue.c: Put kadm_err.et references back in.

2002-11-18  Tom Yu  <tlyu@mit.edu>

	* win_glue.c (control): Remove references to the "kadm" error
	table for now.

2002-08-23  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Change $(S)=>/ and $(U)=>.. globally.

2002-06-25  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (MY_SUBDIRS): Don't list krb5util.
	(CLEANLIBS): Don't delete libkrb5util.a.

2002-06-13  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (WINLIBS): Use ws2_32.lib instead of wsock32.lib.

2001-11-16  Sam Hartman  <hartmans@mit.edu>

	* krb5_32.def: Export krb5_set_default_tgs_enctypes

2001-10-15  Danilo Almeida  <dalmeida@mit.edu>

	* krb5_32.def: Add krb5_kt_* functions: krb5_kt_close,
	krb5_kt_get_entry, krb5_kt_get_name, krb5_kt_get_type,
	krb5_kt_start_seq_get, krb5_kt_next_entry, and krb5_kt_end_seq_get.

2001-10-03  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (RCFLAGS): Don't define _MSDOS_.

	* win_glue.c: Don't explicitly declare pointers FAR any more.

2001-07-27  Danilo Almeida  <dalmeida@mit.edu>

	* gssapi32.def: Do no export gss_mech_krb5.

2001-07-27  Danilo Almeida  <dalmeida@mit.edu>

	* gssapi32.def: Export gss_mech_krb5 as DATA.  Mark all exported
	variables as DATA.

2001-01-22  Danilo Almeida  <dalmeida@mit.edu>

	* krb5_32.def: Add krb5_rc_close() so gssapi builds.

2000-07-29  Danilo Almeida  <dalmeida@mit.edu>

	* krb5_32.def: Add missing krb5_cc_store_cred().

2000-07-20  Danilo Almeida  <dalmeida@mit.edu>

	* krb5_32.def: Add krb5_cc_* functions.

2000-07-19  Danilo Almeida  <dalmeida@mit.edu>

	* krb4_32.def: Add krb_in_tkt.

	* krb5_32.def: Add krb5int_accessor.

2000-06-02  Danilo Almeida  <dalmeida@mit.edu>

	* win_glue.c (GetCallingAppVerInfo, krb5_vercheck): Use
	APPVERINFO_SIZE-sized buffers instead of hard-coding a number
	everywhere.  Document the buffer size in funciton documentation.

	* krb5_32.def: Add krb5int_cc_default for the benefit of GSS API DLL.

2000-05-23  Nalin Dahyabhai  <nalin@redhat.com>

	* win_glue.c (GetCallingAppVerInfo): Don't overfill buffers
	"AppTitle", "AppVer", and "AppIni".

2000-05-15      Jeffrey Altman          <jaltman@columbia.edu>

        * krb5_32.def -- Added exports for new public functions

               krb5_appdefault_string
               krb5_appdefault_boolean

2000-05-04  Danilo Almeida  <dalmeida@mit.edu>

	* krb5_32.def: Reflect something closer to the reality of
	what we would like to do for 1.3.

2000-05-03  Nalin Dahyabhai  <nalin@redhat.com>

	* win_glue.c (do_timebomb): Don't overflow buffer "buf".

2000-04-29  Jeffrey Altman <jaltman@columbia.edu>

        * krb5_32.def: Add krb5_get_tgs_ktypes, krb5_free_ktypes for gssapi

2000-03-15  Danilo Almeida  <dalmeida@mit.edu>

	* krb5_32.def: Add krb5_get_prompt_types.

2000-02-01  Danilo Almeida  <dalmeida@mit.edu>

	* krb5_32.def: Replace decode_krb5_ticket with krb5_decode_ticket.
	Add documentation about adding things to DEF file.

1999-12-03  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Use DLL_LINKOPTS to link DLL.  Remove dependence of
	mit directory for version server support.  Remove references to
	SAP.  Remove DNS defines.

	* winsock.def, comerr16.def, gssapi16.def, krb4_16.def,
	krb5_16.def, sapgss16.def, sapkrb16.def, xpprof16.def: Remove
	obsolete DEF files.

1999-10-26  Wilfredo Sanchez  <tritan@mit.edu>

	* Makefile.in: Clean up usage of CFLAGS, CPPFLAGS, DEFS, DEFINES,
	LOCAL_INCLUDES such that one can override CFLAGS from the command
	line without losing CPP search patchs and defines. Some associated
	Makefile cleanup.

1999-08-26  Danilo Almeida  <dalmeida@mit.edu>

	* krb5_32.def: Export krb5_kuserok.

1999-07-22  Jeffrey Altman <jaltman@columbia.edu>

        * krb5_32.def
          add additional exports:

          krb5_address_search
 	  krb5_auth_con_getrcache
 	  krb5_c_enctype_compare

1999-06-30  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Fix jaltman's changes so they don't break the unix
	build.

1999-06-16  Danilo Almeida  <dalmeida@mit.edu>

	* krb5_32.def: Add krb5_get_default_config_files and 
		krb5_free_config_files.

1999-06-08  Danilo Almeida  <dalmeida@mit.edu>

	* win_glue.c (krb5_vercheck): Only do version checking once per
		use of the DLL.

Tue May 18 19:52:56 1999  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Remove - from recursive Win32 make invocation.

Mon May 17 19:50:53 1999  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Use only one resource file per binary.

	* krb5.rc: Remove silly _MSDOS #ifdef.

Mon May 17 12:37:25 1999  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Get rid of win16 support/clutter.  Build separate
		resource files for each library.  Link resource files
		directly instead of excplicitly converting to object
		files.

Wed May 12 00:27:37 1999  Theodore Y. Ts'o  <tytso@mit.edu>

	* gssapi32.def: Add krb5-specific extensions so they are exported
		from the DLL.

Mon May 10 15:14:34 1999  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Do win32 build in subdir.

Fri May  7 18:27:08 1999  Danilo Almeida  <dalmeida@mit.edu>

	* xpprof32.def, krb4_32.def, gssapi32.def, comerr32.del: Remove
		Win16 directives to get rid of warnings.

Fri May  7 12:10:50 1999  Theodore Y. Ts'o  <tytso@mit.edu>

	* xpprof32.def: Add profile_abandon to the list of exported
	 	functions.

Sat Apr 17 01:21:15 1999  Theodore Y. Ts'o  <tytso@mit.edu>

	* krb5_32.def: Add krb5_cc_set_default_name to the list of
		exported functions.

	* gssapi32.def: Add krb5 specific extension functions:
		gss_krb5_get_tkt_flags, gss_krb5_copy_ccache, and 
		gss_krb5_ccache_name... to the list of exported functions
		in the DLL.

1999-03-31  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* win_glue.c (control): Call krb5_stdcc_shutdown when detaching
		the krb5 library.

	* Makefile.in: Remove reference to the windows Krbcc32.dll
		library, since this is now dynamically loaded.

Mon Feb  8 22:08:22 1999  Theodore Y. Ts'o  <tytso@mit.edu>

	* Makefile.in: Link in the ccapi import library under windows.

	* krb5_16.def, krb5_32.def: Added a number of miscellaneous
 		functions to the DLL exports list so that things build
 		under Windows again.

1999-01-27  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in, configure.in: Move the responsibility for
		generating the Makefile in this directory to the top-level
		configure script.  The local configure.in script has been
		deleted.

Sat Dec  5 01:11:00 1998  Theodore Y. Ts'o  <tytso@mit.edu>

	* krb5_32.def: Fixed exports file to reflect new crypto library
		and related changes.

1998-05-26  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* krb5_32.def: Change the DLL export list to include
		krb5_auth_con_setrcache, krb5_get_server_rcache,
		krb5_cc_default_name, krb5_change_password,
		krb5_mcc_ops, and all of the Cygnus
		krb5_get_init_creds functions.  Remove the old libkadm
		functions, as they are no longer available.

Sun May 24 22:31:39 1998  Theodore Y. Ts'o  <tytso@mit.edu>

	* Makefile.in (CLEANLIBS): Remove lib/kadm from the list of
		directories built in the windows build.

Wed Feb 18 16:04:58 1998  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (thisconfigdir): Remove trailing slash.

Mon Feb  2 17:02:29 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* configure.in: Use AC_CONFIG_DIRS instead of CONFIG_DIRS, and
		remove use of DO_SUBDIRS.

	* Makefile.in: Define BUILDTOP and thisconfigdir in the Makefile

Wed Nov 19 10:33:19 1997  Ezra Peisach  <epeisach@mit.edu>

	* Makefile.in (clean-unix): Do not remove libraries here as the
	 	Makefile that created the symlink now removes it.

Tue Oct 21 23:29:18 1997  Theodore Y. Ts'o  <tytso@mit.edu>

	* win_glue.c: Add checks so that code doesn't bomb out if the
		version resource is missing a Title or Version record.

Fri Aug  1 22:03:24 1997  Theodore Y. Ts'o  <tytso@mit.edu>

	* Makefile.in, krb5.rc, version.rc: Add support for adding a
		Windows Version resource to all of the DLL files.

Tue Jul 29 23:09:31 1997  Theodore Y. Ts'o  <tytso@mit.edu>

	* Makefile.in: Remove msvcrt.lib from the explicit WINLIBS link
 		line since we're now using /MD and have removed the
 		/nodefaultlibs switch.  For now, build debug versions of
		the libraries.

	* krb5_16.def, krb5_32.def, sapkrb16.def: Add decode_krb5_ap_req
 		to the exported functions list, since the GSSAPI krb5
 		mechanism routine needs access to this internal routine.
		
Thu May  1 22:56:04 1997  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in, win_glue.c, sapkrb16.def, sapkrb32.def: Write
		special case hack for the SAP kerberos libraries since we
		can't make the version server code correctly read out the
		version resource from SAPGUI.EXE for some reason....

Tue Apr 29 06:22:03 1997  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* win_glue.c (CallVersionServer): Add code to get the version
		resource from the calling application and use that to call
		the Version server.

Fri Mar 28 01:51:09 1997  Theodore Y. Ts'o  <tytso@mit.edu>

	* gssapi16.def, gssapi32.def: Added the V2 calls
 		gss_canonicalize_name(), gss_export_name(),
 		gss_duplicate_name() to the list of calls exported by the
 		DLL.

Wed Mar 19 14:15:42 1997  Theodore Y. Ts'o  <tytso@mit.edu>

	* Makefile.in: Fix up name of the SAP Kerberos glue library to be
		platform dependent (sapkrb16.dll, sapkrb32.dll).  Fix
		makefile rules to work correctly after NT port.

Mon Mar  3 14:52:58 1997  Ezra Peisach  <epeisach@mit.edu>

	* Makefile.in (MAC_SUBDIRS): Change KRB5 to krb5 for Mac subdirs.

Tue Feb 25 01:03:41 1997  Richard Basch  <basch@lehman.com>

	* Makefile.in: krb5_32.lib now also depends on gdi32.lib

Thu Feb 20 23:30:32 1997  Richard Basch  <basch@lehman.com>

	* Makefile.in: Build krb4 dll; it built all the objs (win16/32)

Mon Feb 17 19:40:55 1997  Richard Basch  <basch@lehman.com>

	* Makefile.in: Build krb4 library under Win16/Win32
	* krb4_16.def krb4_32.def: DLL definition files for krb4 library
	* krb5_16.def krb5_32.def: Export various des routines (krb4 dll)
	* win_glue.c: krb4 library support added

Fri Feb 14 16:40:03 1997  Richard Basch  <basch@lehman.com>

	* Makefile.in: Build separate ComErr DLL
	* comerr16.def comerr32.def: ComErr exported API
	* krb5_16.def krb5_32.def: Removed ComErr/Win16 entries
	* no_glue.c: Dummy stub for ComErr (win16/win32)
	* win_glue.c: Win32 DLL startup/exit code added

Sat Feb  8 12:21:53 1997  Richard Basch  <basch@lehman.com>

	* krb5_16.def krb5_32.def:
		Export krb5_get_credentials_renew,krb5_get_credentials_validate

	* Makefile.in:
		Use WLIB definition in config/windows.in
		Attempt at making a functional SAP library build

Tue Feb  4 15:52:34 1997  Richard Basch  <basch@lehman.com>

	* krb5_16.def krb5_32.def: New ComErr interface definitions

	* gssapi32.def krb5_32.def:
		Remove unsupported statements (EXETYPE, RESIDENTNAME)

	* gssapi16.def krb5_16.def: Need to declare the library name (win16)

Thu Jan 30 21:27:07 1997  Richard Basch  <basch@lehman.com>

	* krb5_16.def krb5_32.def: 
		Export krb5_decrypt, krb5_encrypt,
		krb5_string_to_key, krb5_process_key, krb5_finish_key,
		krb5_init_random_key, krb5_finish_random_key,
		krb5_random_key, krb5_eblock_enctype
	* Makefile.in
		Win32 - Link against MSVCRT.LIB (runtime library)

Sat Dec 21 01:23:48 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* win_glue.c: Change the timebomb to be June 1, 1997.  Make the
		timebomb exit the application more gracefully.

Fri Dec 20 18:20:32 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* krb5_16.def: Change name of library in file to be krb5_16.def
	 	[PR#302]

Sat Nov 23 00:25:25 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>
	
	* libkrb5.def: Renamed to krb5_16.def [PR#204]

	* Makefile.in (all-windows): Change name of dll from krb5_16.dll,
		which will be the final name of the DLL. [PR#204]

Wed Nov 20 18:28:47 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* Makefile.in (clean-windows): Change the name of the Windows (16)
		dll to be krb516.dll, instead of libkrb5.dll

Fri Jul 12 20:32:29 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* win_glue.c: Added TIMEBOMB_INFO string which tells the user the
 	 	URL to look for more information about getting the new
 	 	version of the product.

Wed Jul 10 20:32:22 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* win_glue.c (krb5_win_do_init): New routine which does the
		timebomb and version server checking.  Windows 3.1 doesn't
		allow you to do any messaging calls in LibMain, so the
		timebomb and version server code was moved to
		krb5_win_do_init(), which is called by krb5_init_context().

Tue Jul  9 17:31:57 1996  Marc Horowitz  <marc@mit.edu>

	* configure.in (CONFIG_DIRS): add rpc subdir

Tue Jul  9 16:44:22 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* win_glue.c: Add a quick hack so we can time-bomb the libkrb5.dll
		and sapkrb5.dll when we compile them at MIT.
	
	* Makefile.in (sap_glue.obj): Build the sapkrb5.dll with the
		timebomb enabled (since we couldn't get the version server
		code working).

Wed Jun 12 12:52:30 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* Makefile.in (lib-windows): Replace spaces with tab

Mon Jun 10 23:40:48 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in (lib-windows): Add production rule for sapkrb5.dll.
		Don't include config/windows.in, since that's included
		by wconfig.

	* win_glue.c: Add a quick hack for krb5-SAP so that we call
		the version server --- this is conditionalized on
		SAP_VERSERV, which is only defined when we build
		sapkrb5.dll.

Sat Jun  8 09:58:41 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* configure.in: Remove kdb4 library building

Thu Jun  6 00:04:38 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* Makefile.in (all-windows): Don't pass $(LIBCMD) on the command
		line.  It's set in the windows.in prologue for all Makefiles anyway.

Tue May  7 20:18:13 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* configure.in: libdes425 now depends on libkrb5.

Fri Mar 15 15:21:32 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* Makefile.in (CLEANLIBS): Add libkrb5util.a and libgssapi.a

Thu Feb 29 16:49:33 1996  Theodore Y. Ts'o  <tytso@dcl>

	* win_glue.c: Make sure WSACleanup() is called when the DLL exits.
		Note that calls to WSAStartup and WSACleanup must be in
		matched pairs.  If there is a missing WSACleanup call when
		a program exits, under Lan Workplace, the name resolver
		will stop working.

Tue Feb 27 18:47:17 1996  Theodore Y. Ts'o  <tytso@dcl>

	* gssapi.def: We have implemented gss_inquire_names_for_mech, not
	        gss_inquire_mechs_for_name.
	
Sat Feb 24 18:47:41 1996  Theodore Y. Ts'o  <tytso@dcl>

	* gssapi.def: Add new GSSAPI V2 calls. (XXX we still need to get
		the official function numbers defined for them.)

Wed Feb  7 00:23:18 1996  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Folded in danw's changes to allow
		building Makefiles for the Macintosh.  We now can build
		MPW makefiles which are interpreted by CodeWarrior.

Sun Dec  3 11:50:09 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* configure.in: Move krb5 before krb4 and add krb5util.

Wed Oct 25 14:56:26 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in (lib-windows): For the windows, add the oldnames
		library to the link lines for gssapi.dll and libkrb5.dll

Tue Oct 10 21:45:51 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Added the "/nod" option to the gssapi.dll and
		libkrb5.dll linker commands.  This prevents the linker
		from searching the llibcew.lib library for some externals
		which are already in ldllcew.lib.  This is what we want
		since we are building a DLL. Without the "/nod" option we
		get a bunch of duplicate definitions.

Fri Sep 29 14:19:44 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in (CLEANLIBS): Clean up make clean procedures.  The
		files to be removed are defined in CLEANLIBS, for both the
		Unix and Mac platforms.

Mon Sep 25 16:26:53 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Removed "foo:: foo-$(WHAT)" lines from the
		Makefile. 

	* configure.in: Remove custom MAKE_SUBDIRS line with the
		standard DO_SUBDIRS rule, which works now that we're
		revamping how the foo-$(WHAT) system works.

Wed Jul 12 12:25:15 EDT 1995	Paul Park	(pjpark@mit.edu)
	* configure.in - Temporarily add --with-kdb4 to select building of
		kdb4 directory.  Default is disabled.


Thu Jun 15 17:57:26 EDT 1995	Paul Park	(pjpark@mit.edu)
	* configure.in - Do not build K4 directories if we're not supposed to.
		Remove LinkFile() logic and put it in each subdirectory.

Wed Jun 14 07:36:46 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* Makefile.in (clean-unix): Remove shared library symlinks

	* configure.in: Create symlinks to libdes425.a
		If shared libraries enabled, symlink the .so libraries

Fri Jun  9 18:53:30 1995    <tytso@rsx-11.mit.edu>

	* configure.in: Remove standardized set of autoconf macros, which
		are now handled by CONFIG_RULES.

Sun Jun  4 20:50:31 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* configure.in: Change order of library building to allow for
		proper dependency order for shared libraries.

Tue May 30 18:54:42 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: removed des425 stuff for Windows.

Tue May 30 17:38:47 1995 Keith Vetter (keithv@fusion.com)

	* libkrb5.def: added missing kadm routine name.

Tue May 30 10:21:21 1995 Keith Vetter (keithv@fusion.com)

	* libkrb5.def: added kadm exported routines.

Fri May 26 10:18:04 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: add kadm directory for the PC.

Tue May 23 22:25:03 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* Makefile.in (clean-unix): Remove symlinks to libkrb4.a and
		libkdb4.a. 

Tue May  2 21:39:26 1995  Tom Yu  (tlyu@dragons-lair)

	* Makefile.in: nuke spurious whitespace from blank line


Fri Apr 28 15:32:54 EDT 1995	Paul Park	(pjpark@mit.edu)
	Add kadm to list of directories to be built.

Thu Apr 27 14:31:01 1995  Mark Eichin  <eichin@cygnus.com>

	* configure.in: make links for libkrb4 and libkdb4.

Wed Apr 27 11:00:00 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: need to include profile.lib in the DLL.

Thu Apr 27 13:32:35 1995  Mark Eichin  <eichin@cygnus.com>

	* configure.in: add kdb4 directory.

Thu Apr 27 11:54:19 1995  Mark Eichin  <eichin@cygnus.com>

	* configure.in: add krb4 directory (still needs to be
	conditionalized on unix)

Thu Apr 20 12:16:50 1995 Keith Vetter (keithv@fusion.com)

	* win_glue.c: include k5-int.h instead of krb5.h.

Mon Apr 17 17:47:07 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: forgot about the rule to make gssapi.lib on the PC.

Wed Apr 12 14:40:30 1995  Theodore Y. Ts'o  (tytso@dcl)

	* Makefile.in, configure.in: Move dependency for all-$WHAT back
		into Makefile.in so that the Windows port can pick up the
		line (since it doesn't use configure).  Instead, change
		the name of target which causes the subdirectories to be
		built under Unix, and make that a dependency for all-unix.
		Gross, but this should fix things for both DOS and Windows.

Thu Apr 13 16:56:50 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in, libkrb5.def, gssapi.def (new): 
           Spec says we need a gssapi.dll & gssapi.lib.
        * Makefile.in: re-inserted make-$(ALL) rule.

Wed Apr 5 16:27:53 1995 Keith Vetter (keithv@fusion.com)

	* libkrb5.def: added krb5_us_timeofday to export list

Fri Mar 31 16:15:59 1995  Theodore Y. Ts'o  (tytso@dcl)

	* Makefile.in, configure.in: Move the dependency which causes
		all-$(WHAT) to be built so that it occurs after the "make
		all" subdirectories rule.

Thu Mar 30 15:46:23 1995 Keith Vetter (keithv@fusion.com)

	* libkrb5.def: removed the masses of exported files, leaving just
	   the ones needed by telnet and cns plus the gssapi ones.

Tue Mar 28 18:26:01 1995  John Gilmore  (gnu at toad.com)

	* Makefile.in (clean-mac):  Add.
	* configure.in (LinkFile's):  Put `./' on libraries to ease Mac
	translation.
	(AppendRule all-unix):  Rename from AppendRule all.

Thu Mar 23 14:26:35 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: also produces a map for the dll.

Tue Mar 21 18:59:15 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: added xxx-MAC targets for macintosh compatibility,
	   and added gssapi to libkrb5 dll.
	* libkrb5.def: added gssapi routines to the export section.

Thu Mar 16 15:00:00 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: fixed up a typo.

Wed Mar 15 22:45:33 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: I had missed some dependencies on the PC build.

Wed Mar 15 20:45:33 1995 Keith Vetter (keithv@fusion.com)

	* libkrb5.def, winsock.def, win_glue.c: new files for making DLL.
        * Makefile.in: On the PC it recurses into all subdirs and builds
           libkrb5.dll.

Tue Feb 28 01:33:52 1995  John Gilmore  (gnu at toad.com)

	* glue4.c:  Avoid <krb5/...> includes.

Thu Oct  6 20:06:06 1994  Theodore Y. Ts'o  (tytso@dcl)

	* configure.in: Add recursive "make check" target.

Mon Oct  3 23:38:03 1994  Theodore Y. Ts'o  (tytso@dcl)

	* configure.in: Don't build the krb425 library.  It is deprecated.

Fri Sep 30 16:35:16 1994  Theodore Y. Ts'o  (tytso@dcl)

	* Makefile.in: Also delete libkdb5.a on make clean.

Thu Aug  4 03:39:23 1994  Tom Yu  (tlyu@dragons-lair)

	* Makefile.in: make install fixes

